List databases

Returns a list of databases on the specified managed server instance.

For each database, the response returns information about the database including its status, size, schema type, and security settings.

Access to information about databases (EDMs, RDMs, and custom databases) hosted on Data Bridge is managed by means of tenant security and role-based permissions. Tenant security enables organizations to segregate data and limit access based on business need. If enabled, tenant security limits access to managed databases based on group membership. Secured servers and databases can only be accessed by their owners or by groups explicitly granted access to those resources.

The optional adminAccess query parameter enables Data Bridge Admins to view information about all databases on the specified server regardless of tenant security settings.

If unspecified, a value of false is assumed. A value of true must be specified to view information about all databases on the server. The data returned depends on two factors: 1) tenant security and 2) role of the client application.

Admin Access ParameterTenant SecurityDB AdminConsumerContributor
false / UndefinedOFFAll databasesAll databasesAll databases
trueOFFAll databases403 Forbidden403 Forbidden
false / UndefinedONAccessible databasesAccessible databasesAccessible databases
trueONAll databases403 Forbidden403 Forbidden

Tenant security is an optional Data Bridge feature that must be enabled by a Data Admin. If tenant security is not enabled, client applications can generally view all databases regardless of role. To learn more, see Tenant Security

Data Bridge supports three roles: Data Bridge Admin, Consumer, and Contributor. To learn more, see Access Controls.

Path Params
string
required

Name of managed SQL Server instance.

Query Params
string

Property on which to sort records returned. Supported properties: createdAt, databases, name, sizeInMb

Sort order defined by one of ASC (ascending) or DESC (descending).

  • /databridge/v1/sql-instances/databridge-1/databases/?sort=sizeInMb+desc
  • /databridge/v1/sql-instances/databridge-1/databases/?sort=createdAt+desc
boolean
Defaults to false

Flag to enable Data Bridge Admins to view all managed databases. Data returned depends on tenant security settings and client role.

  • If true, Data Bridge Admin can view information about all databases. Consumer and Contributor have no access.
  • If false, roles can view information about accessible databases only.

If parameter is unspecified, a value of false is assumed.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

400

Bad Request. Some of the provided parameters were not valid.

404

Not found. The entity you are trying to interact with does not
exist.

500

Internal Server Error. If the problem persists you may want to
contact the Administrator.

Language
URL
LoadingLoading…
Response
Choose an example:
application/json
text/plain
text/json